@font-face {
    font-family: 'Anton';
    src: url(font/Anton-Regular.ttf);
}

@font-face {
    font-family: 'Kanit';
    src: url(font/Kanit-Regular.ttf);
}

*{
    margin: 0;
    font-family: 'Kanit';
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    
}

/*=== Animations start here  ===*/

/*==== FADE IN UP ===*/
@-webkit-keyframes fadeInUp {
    from {
      opacity: 0;
      -webkit-transform: translate3d(0, 100%, 0);
      transform: translate3d(0, 100%, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
  }
  @keyframes fadeInUp {
    from {
      opacity: 0;
      -webkit-transform: translate3d(0, 100%, 0);
      transform: translate3d(0, 100%, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
  }
  
  .fadeInUp {
    -webkit-animation-name: fadeInUp;
    animation-name: fadeInUp;
  }
  
  
  /*=== FADE IN DOWN ===*/
  .fadeInDown {
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
   }
  @-webkit-keyframes fadeInDown {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(0, -100%, 0);
      transform: translate3d(0, -100%, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  }
  @keyframes fadeInDown {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(0, -100%, 0);
      transform: translate3d(0, -100%, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  } 
  
  /*=== FADE IN LEFT ===*/
  @-webkit-keyframes fadeInLeft {
    from {
      opacity: 0;
      -webkit-transform: translate3d(-100%, 0, 0);
      transform: translate3d(-100%, 0, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
  }
  @keyframes fadeInLeft {
    from {
      opacity: 0;
      -webkit-transform: translate3d(-100%, 0, 0);
      transform: translate3d(-100%, 0, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
  }
  
  .fadeInLeft {
    -webkit-animation-name: fadeInLeft;
    animation-name: fadeInLeft;
  }
  
  
  /*==== FADE IN RIGHT ===*/
  @-webkit-keyframes fadeInRight {
    from {
      opacity: 0;
      -webkit-transform: translate3d(100%, 0, 0);
      transform: translate3d(100%, 0, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
  }
  @keyframes fadeInRight {
    from {
      opacity: 0;
      -webkit-transform: translate3d(100%, 0, 0);
      transform: translate3d(100%, 0, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
    }
  }
  
  .fadeInRight {
    -webkit-animation-name: fadeInRight;
    animation-name: fadeInRight;
  }
  
  /*=== FADE IN  ===*/
  @-webkit-keyframes fadeIn {
    from {
      opacity: 0;
    }
  
    to {
      opacity: 1;
    }
  }
  @keyframes fadeIn {
    from {
      opacity: 0;
    }
  
    to {
      opacity: 1;
    }
  }
  .fadeIn {
      -webkit-animation-name: fadeIn;
      animation-name: fadeIn;
  }
  
  /*=== FADE IN UP Big ===*/
  .fadeInUpBig {
    -webkit-animation-name: fadeInUpBig;
    animation-name: fadeInUpBig;
    }
  @-webkit-keyframes fadeInUpBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(0, 2000px, 0);
      transform: translate3d(0, 2000px, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
      }
  }
  @keyframes fadeInUpBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(0, 2000px, 0);
      transform: translate3d(0, 2000px, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
      }
  } 
  
  /*=== FADE IN DOWN Big ===*/
  .fadeInDownBig {
    -webkit-animation-name: fadeInDownBig;
    animation-name: fadeInDownBig;
  }
  @-webkit-keyframes fadeInDownBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(0, -2000px, 0);
      transform: translate3d(0, -2000px, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  }
  @keyframes fadeInDownBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(0, -2000px, 0);
      transform: translate3d(0, -2000px, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  } 
  
  /*=== FADE IN LEFT Big ===*/
  .fadeInLeftBig {
    -webkit-animation-name: fadeInLeftBig;
    animation-name: fadeInLeftBig;
  }
  @-webkit-keyframes fadeInLeftBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(-2000px, 0, 0);
      transform: translate3d(-2000px, 0, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  }
  @keyframes fadeInLeftBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(-2000px, 0, 0);
      transform: translate3d(-2000px, 0, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  } 
  
  /*=== FADE IN RIGHT Big ===*/
  .fadeInRightBig {
    -webkit-animation-name: fadeInRightBig;
    animation-name: fadeInRightBig;
    }
  @-webkit-keyframes fadeInRightBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(2000px, 0, 0);
      transform: translate3d(2000px, 0, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  }
  @keyframes fadeInRightBig {
  0% {
      opacity: 0;
      -webkit-transform: translate3d(2000px, 0, 0);
      transform: translate3d(2000px, 0, 0);
  }
  100% {
      opacity: 1;
      -webkit-transform: none;
      transform: none;
  }
  }
  

/*=== Trigger  ===*/
.animate {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
  }


:root{
    --bg-color: black;

}


html{
    font-size: 62.5%;
    overflow-x: hidden;
}

.header {
    display: flex;
    flex-wrap: wrap;
    padding: 0 5%; /* Adjust the padding as needed */
}


.nav-bar{
    display: flex;
    justify-content: space-between;
    gap: 50px;
    align-items: flex-start;
    font-family: 'Kanit', sans-serif;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 5%;
    background: var(--bg-color);
    font-size: 18px;
    position: fixed;
    z-index: 11000;
    align-items: center;
}

.nav-a{
    display: inline-flex;
    padding: 5px 196px;
    gap: 50px;
    align-items: center;
}

.nav-bar a{
    color: #FFF;
    font-size: 1.7rem;
    font-weight: 400;
    display: inline-flex;
    
}

.headlogo{
    height: 27.372px;
    width: 35px;
    padding-top: 42.2;
}

.textlogo{
    width: 100px;
    height: 20px;
    align-self: center;
    padding-top: 48.1;
    padding-bottom: 36.3;
    padding-left: 10px;
}

.logo{
    cursor: default;
    padding-top: 5%;
    padding-bottom: 5%;
}

.open-disc-button{
    border-radius: 40px;
    border: 1px solid #000;
    background: linear-gradient(90deg, #EC9FFF 0%, rgba(242, 54, 13, 0.93) 250%);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(2px);
    width: 170px;
    height: 40px;
    flex-shrink: 0;
}

.header{
    display: flex;
    flex-wrap: wrap;
}

.home{
    width: 100%;
    height: 710px;
    background: #000;
    position: relative;
}

.home h1{
    color: #FFF;
    font-size: 10rem;
    font-family: 'Anton', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-weight: 100;
    letter-spacing: 5px;
    
}

.home-text{
    z-index: 100;
    padding-top: 10%;
    position: relative;
    -webkit-animation-delay: 0.5s;
    -moz-animation-delay: 0.5s;
    animation-delay: 0.5s;
        
}

.home p{
    color: #FFF;
    font-size: 2rem;
    font-family: 'Kanit', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-left: 370px;
    width: 800px;
    
}

.home-svg{
    z-index: 50;
    padding: auto;
}

.svg-line{
    position: absolute;
    width: 100%;
    padding-top: 70px;
    opacity: 80%;
    height: auto;
}

.download-windows{
    border-radius: 40px;
    border: 1px solid #000;
    background: linear-gradient(90deg, #EC9FFF 0%, rgba(242, 54, 13, 0.93) 150%);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(2px);
    width: 200px;
    height: 40px;
    flex-shrink: 0;
}

.home-btn{
    padding: 70px;
    display: flex;
    flex-direction: column;
    justify-content: end;
    position: absolute;
    bottom: -30px;
    z-index: 100;
}

.home-art{
    z-index: 200;
    position: absolute;
    bottom: 0;
    right: 0;
    margin-right: 10px; /* Add some margin for spacing */
    margin-bottom: 5px; /* Add some margin for spacing */
    -webkit-animation-delay: 2.0s;
    -moz-animation-delay: 2.0s;
    animation-delay: 2.0s;
}

.img-art{
    width: 750px;
    height:auto;
}

#chat-disc{
    width: 800px;
    height: 400px;
    padding-left: 20px;
    z-index: 100;
    position: relative;
    align-items: center;
    align-self: center;
    
}



.page-two{
    width: 100%;
    height: 610px;
    position: relative;
    overflow: hidden;
}

.svg-two{
    position: absolute;
    width: 100%;
    opacity: 80%;
    height: auto;
    z-index: 50;
    padding: auto;
}

.page-two h1{
    font-size: 7rem;
    width: 600px;
}

.page-two-text{
    font-family: 'Kanit', sans-serif;
    text-align: left;
    margin-left: 770px;
    z-index: 1000;
    position: relative;
    padding-top: 0; /* Add this to remove top padding */
    margin-top: 0;
    -webkit-animation-delay: 2.5s;
    -moz-animation-delay: 2.5s;
    animation-delay: 2.5s;
}

.page-two p{
    font-size: 2rem;
    width: 600px;
}

.box {
    width: 100px; /* Set the desired width for each div */
    display: inline-block;
    padding-top: 70px;
    height: 700px;
}

.page-three{
    width: 100%;
    height: 580px;
    background: var(--bg-color);
   
}

.page-three-text{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    padding-top: 10%;
    
}

.page-three-text h1{
    font-size: 7rem;
    width: 1100px;
    color: #FFF;
    font-family: 'Anton', sans-serif;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 6.24px;
}

.page-three-text p{
    color: #FFF;
    text-align: center;
    font-family: 'Kanit';
    font-size: 2rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    width: 1180px;
}

.femail{
    width: 30%;
    padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    border-radius: 10px;
    background: #FFF;
    z-index: 1;
    height: 50px;
}

.submit-btn{
    color: #FFF;
    text-align: center;
    font-family: 'Kanit';
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    border-radius: 10px;
    background: linear-gradient(90deg, #EC9FFF 0%, rgba(242, 54, 13, 0.93) 150%);
    width: 10%;
    height: 50px;
    z-index: 2;
}

form {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1px;
    padding-top: 50px;
}
